## net.sourceforge.pmd.jsp.ast
Class JspParserVisitorAdapter

    java.lang.Object
      net.sourceforge.pmd.jsp.ast.JspParserVisitorAdapter

All Implemented Interfaces:
  JspParserVisitor

Direct Known Subclasses:
  AbstractJspRule

public class JspParserVisitorAdapter
extends java.lang.Object
implements JspParserVisitor

Constructor Summary
`JspParserVisitorAdapter()`

Method Summary
`java.lang.Object` `visit(ASTAttribute node, java.lang.Object data)`
`java.lang.Object` `visit(ASTAttributeValue node, java.lang.Object data)`
`java.lang.Object` `visit(ASTCData node, java.lang.Object data)`
`java.lang.Object` `visit(ASTCommentTag node, java.lang.Object data)`
`java.lang.Object` `visit(ASTCompilationUnit node, java.lang.Object data)`
`java.lang.Object` `visit(ASTContent node, java.lang.Object data)`
`java.lang.Object` `visit(ASTDeclaration node, java.lang.Object data)`
`java.lang.Object` `visit(ASTDoctypeDeclaration node, java.lang.Object data)`
`java.lang.Object` `visit(ASTDoctypeExternalId node, java.lang.Object data)`
`java.lang.Object` `visit(ASTElement node, java.lang.Object data)`
`java.lang.Object` `visit(ASTElExpression node, java.lang.Object data)`
`java.lang.Object` `visit(ASTJspComment node, java.lang.Object data)`
`java.lang.Object` `visit(ASTJspDeclaration node, java.lang.Object data)`
`java.lang.Object` `visit(ASTJspDirectiveAttribute node, java.lang.Object data)`
`java.lang.Object` `visit(ASTJspDirective node, java.lang.Object data)`
`java.lang.Object` `visit(ASTJspExpressionInAttribute node, java.lang.Object data)`
`java.lang.Object` `visit(ASTJspExpression node, java.lang.Object data)`
`java.lang.Object` `visit(ASTJspScriptlet node, java.lang.Object data)`
`java.lang.Object` `visit(ASTText node, java.lang.Object data)`
`java.lang.Object` `visit(ASTUnparsedText node, java.lang.Object data)`
`java.lang.Object` `visit(ASTValueBinding node, java.lang.Object data)`
`java.lang.Object` `visit(SimpleNode node, java.lang.Object data)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JspParserVisitorAdapter

    public JspParserVisitorAdapter()

Method Detail

### visit

    public java.lang.Object visit(SimpleNode node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JspParserVisitor`

### visit

    public java.lang.Object visit(ASTCompilationUnit node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JspParserVisitor`

### visit

    public java.lang.Object visit(ASTContent node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JspParserVisitor`

### visit

    public java.lang.Object visit(ASTJspDirective node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JspParserVisitor`

### visit

    public java.lang.Object visit(ASTJspDirectiveAttribute node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JspParserVisitor`

### visit

    public java.lang.Object visit(ASTJspScriptlet node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JspParserVisitor`

### visit

    public java.lang.Object visit(ASTJspExpression node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JspParserVisitor`

### visit

    public java.lang.Object visit(ASTJspDeclaration node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JspParserVisitor`

### visit

    public java.lang.Object visit(ASTJspComment node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JspParserVisitor`

### visit

    public java.lang.Object visit(ASTText node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JspParserVisitor`

### visit

    public java.lang.Object visit(ASTUnparsedText node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JspParserVisitor`

### visit

    public java.lang.Object visit(ASTElExpression node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JspParserVisitor`

### visit

    public java.lang.Object visit(ASTValueBinding node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JspParserVisitor`

### visit

    public java.lang.Object visit(ASTCData node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JspParserVisitor`

### visit

    public java.lang.Object visit(ASTElement node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JspParserVisitor`

### visit

    public java.lang.Object visit(ASTAttribute node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JspParserVisitor`

### visit

    public java.lang.Object visit(ASTAttributeValue node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JspParserVisitor`

### visit

    public java.lang.Object visit(ASTJspExpressionInAttribute node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JspParserVisitor`

### visit

    public java.lang.Object visit(ASTCommentTag node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JspParserVisitor`

### visit

    public java.lang.Object visit(ASTDeclaration node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JspParserVisitor`

### visit

    public java.lang.Object visit(ASTDoctypeDeclaration node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JspParserVisitor`

### visit

    public java.lang.Object visit(ASTDoctypeExternalId node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JspParserVisitor`

Copyright © 2002-2006 InfoEther. All Rights Reserved.